$ErrorActionPreference = 'Stop';

$packageName= 'invantive-query-tool'

$packageArgs = @{
  packageName = $packageName
  fileType = 'MSI'
  url = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-20.2.156.msi'
  url64bit = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-20.2.156.msi'
  softwareName = 'Invantive Query Tool'
  checksum = '1093E80B48500C928BCC16094CF7E20B366BAC258A743CE2D69CD27E3AACA1CE'
  checksumType = 'sha256'
  checksum64 = '1093E80B48500C928BCC16094CF7E20B366BAC258A743CE2D69CD27E3AACA1CE'
  checksumType64 = 'sha256'
  silentArgs = "/qn /norestart /l*v `"$env:Temp\invantive-query-tool-20.2.156-msi-install.log`""
  validExitCodes = @(0, 3010, 1641)
}

Install-ChocolateyPackage @packageArgs
